Index: sources/client/src/hooks/useLogoutUser.js
===================================================================
--- sources/client/src/hooks/useLogoutUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useLogoutUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,24 @@
+import { useContext } from 'react';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { UserContext } from '../context/UserContext';
+import { useHistory } from 'react-router-dom';
+
+const useLogoutUser = () => {
+    const { setAlert } = useContext(AccessoriesContext);
+    const { setUser } = useContext(UserContext);
+    const history = useHistory();
+    const logoutUser = async () => {
+        setUser(null);
+        localStorage.clear();
+        setAlert({
+            type: 'success',
+            msg: 'Успешно Сте Одјавени!', // TODO change msg to err.message
+        });
+        history.push('/');
+    };
+    return {
+        logoutUser,
+    };
+};
+
+export default useLogoutUser;
Index: sources/client/src/hooks/useRegisterUser.js
===================================================================
--- sources/client/src/hooks/useRegisterUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useRegisterUser.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,37 @@
+import { useContext } from 'react';
+import { useHistory } from 'react-router-dom';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useRegisterUser = () => {
+    const history = useHistory();
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const registerUser = async (data) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .post(`/registriranParkirac/registration`, data)
+            .then((res) => {
+                history.replace('/login');
+                setAlert({
+                    type: 'success',
+                    msg: 'За активација проверете ја вашата емаил адреса!', // TODO change msg to err.message
+                });
+            })
+            .catch((err) => {
+                console.log(err);
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+    return {
+        registerUser,
+    };
+};
+
+export default useRegisterUser;
Index: sources/client/src/hooks/useSaveUserPlate.js
===================================================================
--- sources/client/src/hooks/useSaveUserPlate.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useSaveUserPlate.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,42 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { UserContext } from '../context/UserContext';
+
+const useSaveUserPlate = () => {
+    const {user} = useContext(UserContext);
+    const { setAlert } = useContext(AccessoriesContext);
+    const saveUserPlate = async ({
+        savePlate,
+        plate,
+        setIsLoadingSavePlate,
+    }) => {
+        setIsLoadingSavePlate(true);
+        console.log(plate);
+        await axios
+            .put(`/registriranParkirac/${user.id}/tablici`, plate, {headers: {"Content-type" : 'application/json'}}) 
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Таблицата е успешно додадена!`,
+                });
+                savePlate(plate); // or res.plate
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsLoadingSavePlate(false);
+            });
+    };
+
+    return {
+        saveUserPlate,
+    };
+};
+
+export default useSaveUserPlate;
Index: sources/client/src/hooks/useToggleAccountStatus.js
===================================================================
--- sources/client/src/hooks/useToggleAccountStatus.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useToggleAccountStatus.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,39 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useToggleAccountStatus = () => {
+    const [isLoading, setIsLoading] = useState(false);
+    const { setAlert } = useContext(AccessoriesContext);
+
+    const toggleAccountStatus = async ({
+        workerId,
+        changeAccoutStatusOnEmployee,
+    }) => {
+        setIsLoading(true);
+        axios
+            .put(`/vraboten/lock/${workerId}`)
+            .then((res) => {
+                changeAccoutStatusOnEmployee({ workerId });
+                setAlert({
+                    type: 'success',
+                    msg: 'Успешно е променет статусот на акаунтот!',
+                });
+            })
+            .catch((err) => {
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsLoading(false);
+            });
+    };
+    return {
+        toggleAccountStatus,
+        isLoading,
+    };
+};
+
+export default useToggleAccountStatus;
Index: sources/client/src/hooks/useUpdateEmployee.js
===================================================================
--- sources/client/src/hooks/useUpdateEmployee.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useUpdateEmployee.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,40 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { useHistory } from 'react-router-dom';
+
+const useUpdateEmployee = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const history = useHistory();
+    const updateEmployee = async ({ employee }) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .put(`/vraboten/${employee.workerId}`, employee)
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Вработениот ${employee.firstName} ${employee.lastName} е успешно изменет!`,
+                });
+                console.log(employee);
+                history.push('/employees');
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+                console.log(err);
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+
+    return {
+        updateEmployee,
+    };
+};
+
+export default useUpdateEmployee;
Index: sources/client/src/hooks/useUpdateUserProfile.js
===================================================================
--- sources/client/src/hooks/useUpdateUserProfile.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useUpdateUserProfile.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,36 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useUpdateUserProfile = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const updateUserProfile = async ({ userData, id, successfulSave }) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .put(`/registriranParkirac/${id}`, userData)
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Успешно ажурирање на податоците!`,
+                });
+                successfulSave();
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+
+    return {
+        updateUserProfile,
+    };
+};
+
+export default useUpdateUserProfile;
Index: sources/client/src/hooks/useUpdateZone.js
===================================================================
--- sources/client/src/hooks/useUpdateZone.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useUpdateZone.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,41 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+
+const useUpdateZone = () => {
+  const [isLoading, setIsLoading] = useState(false);
+  const { setAlert } = useContext(AccessoriesContext);
+  const updateZone = async ({ zone, setEditMode, setZone }) => {
+    setIsLoading(true);
+    console.log(zone);
+    await axios
+        .put(`/parkingZone/${zone.pzId}`, zone) // TODO CHANGE OBJECT
+        .then((res) => {
+            setZone(res.data);
+            console.log(res.data);
+            setAlert({
+                type: 'success',
+                msg: `Зоната е успешно изменета!`,
+            });
+            setEditMode(false);
+        })
+        .catch((err) => {
+            // ALERT FOR ERROR WITH ERROR MSG
+            setAlert({
+                type: 'error',
+                msg: 'Проблеми со серверот!', // TODO change msg to err.message
+            });
+            console.log(err);
+        })
+        .finally(() => {
+            setIsLoading(false);
+        });
+  };
+
+  return {
+    updateZone,
+    isLoading,
+  };
+};
+
+export default useUpdateZone;
Index: sources/client/src/hooks/useUserFinishedSession.js
===================================================================
--- sources/client/src/hooks/useUserFinishedSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useUserFinishedSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,37 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { sessionStatus } from '../config/enums';
+
+const useUserFinishedSession = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const userFinishedSession = async ({ setSession }) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .put(`/parkingSession/end`) 
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: 'Успешно завршена сесија!', // TODO change msg
+                });
+                setSession(res.data);
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+
+    return {
+        userFinishedSession,
+    };
+};
+
+export default useUserFinishedSession;
Index: sources/client/src/hooks/useUserPayForSession.js
===================================================================
--- sources/client/src/hooks/useUserPayForSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useUserPayForSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,52 @@
+import { useState, useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { useHistory } from 'react-router-dom';
+import { UserContext } from '../context/UserContext';
+import useLogoutUser from './useLogoutUser';
+import { roles } from '../config/enums';
+
+const useUserPayForSession = () => {
+    const {user} = useContext(UserContext);
+    const {logoutUser} = useLogoutUser();
+    const [isLoading, setIsLoading] = useState(false);
+    const { setAlert } = useContext(AccessoriesContext);
+    const history = useHistory();
+    const userPayForSession = async ({ method, paymentCredentials }) => {
+        setIsLoading(true);
+        await axios
+            .put(
+                `/parkingSession/pay?expireDate=${paymentCredentials?.cardExpDate ?? ''}`,
+                {
+                    method,
+                    paymentCredentials,
+                }
+            )
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Успешно плаќање!`,
+                });
+                if(user.role === roles.guest) {
+                    logoutUser();
+                } else {
+                    history.push('/');
+                }
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+                setIsLoading(false);
+            });
+    };
+
+    return {
+        userPayForSession,
+        isLoading,
+    };
+};
+
+export default useUserPayForSession;
Index: sources/client/src/hooks/useUserStartSession.js
===================================================================
--- sources/client/src/hooks/useUserStartSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/hooks/useUserStartSession.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,40 @@
+import { useContext } from 'react';
+import axios from 'axios';
+import { AccessoriesContext } from '../context/AccessoriesContext';
+import { sessionStatus } from '../config/enums';
+
+const useUserStartSession = () => {
+    const { setAlert, setIsBackdropLoaderOpen } =
+        useContext(AccessoriesContext);
+    const userStartSession = async ({ sessionData, setSession }) => {
+        setIsBackdropLoaderOpen(true);
+        await axios
+            .post(
+                `/parkingSession/${sessionData.zone}?tablicka=${sessionData.plate}`
+            ) // TODO CHANGE OBJECT
+            .then((res) => {
+                setAlert({
+                    type: 'success',
+                    msg: `Успешно започната сесија!`,
+                });
+                setSession(res.data);
+
+            })
+            .catch((err) => {
+                // ALERT FOR ERROR WITH ERROR MSG
+                setAlert({
+                    type: 'error',
+                    msg: 'Проблеми со серверот!', // TODO change msg to err.message
+                });
+            })
+            .finally(() => {
+                setIsBackdropLoaderOpen(false);
+            });
+    };
+
+    return {
+        userStartSession,
+    };
+};
+
+export default useUserStartSession;
Index: sources/client/src/index.js
===================================================================
--- sources/client/src/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -4,27 +4,28 @@
 import App from './App';
 import reportWebVitals from './reportWebVitals';
-
+import axios from 'axios';
 import { BrowserRouter } from 'react-router-dom';
 import { ThemeProvider } from 'styled-components';
 
 import { StyledEngineProvider } from '@mui/material/styles';
-
 import theme from './theme/index';
 
+axios.defaults.headers.post['Content-Type'] = 'application/json';
+axios.defaults.headers.post['Content-Type'] = 'application/json';
+axios.defaults.headers.post['Access-Control-Allow-Origin'] = '*';
+axios.defaults.headers.patch['Access-Control-Allow-Origin'] = '*';
+axios.defaults.headers.delete['Access-Control-Allow-Origin'] = '*';
+
 ReactDOM.render(
-  <React.StrictMode>
-    <BrowserRouter>
-      <StyledEngineProvider injectFirst>
-
-        <ThemeProvider theme={theme}>
-
-          <App />
-
-        </ThemeProvider>
-
-      </StyledEngineProvider>
-    </BrowserRouter>
-  </React.StrictMode>,
-  document.getElementById('root')
+    <React.StrictMode>
+        <BrowserRouter>
+            <StyledEngineProvider injectFirst>
+                <ThemeProvider theme={theme}>
+                    <App />
+                </ThemeProvider>
+            </StyledEngineProvider>
+        </BrowserRouter>
+    </React.StrictMode>,
+    document.getElementById('root')
 );
 
Index: sources/client/src/screens/AdminHomeScreen/index.js
===================================================================
--- sources/client/src/screens/AdminHomeScreen/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/screens/AdminHomeScreen/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,2 +1,3 @@
+import { useContext, useState } from 'react';
 import { Route, Switch, Redirect } from 'react-router-dom';
 import { useHistory } from 'react-router-dom';
@@ -19,12 +20,14 @@
   DividerUnderHeader,
   UserIcon,
+  MenuBurgerIcon,
 } from './styles';
 
 import IconButton from '@mui/material/IconButton';
 
-import logo from '../../resources/logo_2_transparent_bg.jpg';
+import logo from '../../resources/logo_2_transparent_bg.png';
 import { roles } from '../../config/enums';
 import DestinationComponent from '../../utils/DestinationComponent';
 import onClickRouting from '../../utils/onClickRouting';
+import AbsoluteLoader from '../../components/Loaders/AbsoluteLoader';
 
 import ParkingZones from '../../components/admin/ParkingZones';
@@ -33,4 +36,8 @@
 import EmployeeCreate from '../../components/admin/EmployeeCreate';
 import ParkingZone from '../../components/admin/ParkingZone';
+
+import { UserContext } from '../../context/UserContext';
+import { AccessoriesContext } from '../../context/AccessoriesContext';
+import useLogoutUser from '../../hooks/useLogoutUser';
 
 const ToParkingZones = new DestinationComponent('/', ParkingZones, true);
@@ -67,56 +74,83 @@
 
 const AdminHomeScreen = (props) => {
+  const { user, isLoadingUser } = useContext(UserContext);
+  const { isMobile, setIsOpenDrawer } = useContext(AccessoriesContext);
   let history = useHistory();
-  const user = {
-    role: 'ROLE_ADMIN',
-  };
-
+  const { logoutUser } = useLogoutUser();
   let routes = user.role === roles.admin ? adminRoutes : employeeRoutes;
 
   return (
     <Container>
-      <SideMenu>
-        <IconButton onClick={() => onClickRouting('/', history)}>
-          <DashboardIcon />
-        </IconButton>
-        {user.role === roles.admin ? (
-          <IconButton onClick={() => onClickRouting('/employees', history)}>
-            <SupervisorAccountIcon />
-          </IconButton>
-        ) : null}
-      </SideMenu>
+      {isLoadingUser ? (
+        <AbsoluteLoader
+          containerStyle={{
+            width: isMobile ? '150px' : '300px',
+            height: isMobile ? '150px' : '300px',
+            margin: 'auto',
+          }}
+        />
+      ) : (
+        <>
+          {!isMobile ? (
+            <SideMenu>
+              <IconButton onClick={() => onClickRouting('/', history)}>
+                <DashboardIcon />
+              </IconButton>
+              {user.role === roles.admin ? (
+                <IconButton
+                  onClick={() => onClickRouting('/employees', history)}
+                >
+                  <SupervisorAccountIcon />
+                </IconButton>
+              ) : null}
+            </SideMenu>
+          ) : null}
 
-      <HeaderAndMainSectionWrapper>
-        <Header>
-          <TitleAndLogoWrapper>
-            <LogoWrapper>
-              <Logo src={logo} />
-            </LogoWrapper>
-            <HeaderTitle>Park Up</HeaderTitle>
-          </TitleAndLogoWrapper>
+          <HeaderAndMainSectionWrapper>
+            <Header>
+              {isMobile ? (
+                <IconButton
+                  onClick={() => setIsOpenDrawer(true)}
+                  style={{ padding: 0 }}
+                >
+                  <MenuBurgerIcon />
+                </IconButton>
+              ) : null}
+              <TitleAndLogoWrapper>
+                <LogoWrapper>
+                  <Logo src={logo} />
+                </LogoWrapper>
+                <HeaderTitle>Park Up</HeaderTitle>
+              </TitleAndLogoWrapper>
 
-          <UserNameAndLogoutWrapper>
-            <UserIcon />
-            <UserName>Viktor Tasevski</UserName>
-            <IconButton>
-              <LogoutIcon />
-            </IconButton>
-          </UserNameAndLogoutWrapper>
-        </Header>
-        <DividerUnderHeader />
-        <MainSection>
-          <Switch>
-            {routes?.map((route, index) => (
-              <Route
-                key={index}
-                path={route.path}
-                component={route.component}
-                exact={route.exact}
-              />
-            ))}
-            <Redirect to='/' />
-          </Switch>
-        </MainSection>
-      </HeaderAndMainSectionWrapper>
+              {isMobile ? null : (
+                <UserNameAndLogoutWrapper>
+                  <UserIcon />
+                  <UserName>
+                    {user.firstName} {user.lastName}
+                  </UserName>
+                  <IconButton onClick={logoutUser}>
+                    <LogoutIcon />
+                  </IconButton>
+                </UserNameAndLogoutWrapper>
+              )}
+            </Header>
+            <DividerUnderHeader />
+            <MainSection>
+              <Switch>
+                {routes?.map((route, index) => (
+                  <Route
+                    key={index}
+                    path={route.path}
+                    component={route.component}
+                    exact={route.exact}
+                  />
+                ))}
+                <Redirect to='/' />
+              </Switch>
+            </MainSection>
+          </HeaderAndMainSectionWrapper>
+        </>
+      )}
     </Container>
   );
Index: sources/client/src/screens/AdminHomeScreen/styles.js
===================================================================
--- sources/client/src/screens/AdminHomeScreen/styles.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/screens/AdminHomeScreen/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -7,9 +7,14 @@
 import SupervisorAccount from '@mui/icons-material/SupervisorAccount';
 import AccountCircleIcon from '@mui/icons-material/AccountCircle';
+import Box from '@mui/material/Box';
+import MenuIcon from '@mui/icons-material/Menu';
+import CloseI from '@mui/icons-material/Close';
+import { mobile_max_width } from '../../config/utilities';
+import backgroundImage from '../../resources/login_background.jpg';
 
 export const Container = styled.div`
   display: flex;
   flex-direction: row;
-  height: 100%;
+  min-height: 100vh;
   flex: 1;
 `;
@@ -20,5 +25,11 @@
   flex-direction: row;
   justify-content: space-between;
-  padding: 10px 30px;
+  padding: 10px 7%;
+  position: fixed;
+  z-index: 100;
+  background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+  @media (max-width: ${mobile_max_width}px) {
+    padding-left: 15px;
+  }
 `;
 
@@ -26,5 +37,6 @@
   variant: 'middle',
   sx: {
-    margin: '0 25px',
+    margin: '0 5%',
+    marginTop: '75px',
     borderWidth: '2px',
     borderBottomWidth: 'thin',
@@ -75,5 +87,5 @@
   sx: {
     fontSize: 30,
-    color: `${props.theme.palette.error.light}`,
+    color: `${props.theme.palette.error.main}`,
   },
 }))``;
@@ -82,15 +94,20 @@
   display: flex;
   flex-direction: column;
-  height: 100%;
   width: 100%;
+  padding-left: 70px;
   background-color: ${(props) => props.theme.palette.background.whiteSmoke};
+
+  @media (max-width: ${mobile_max_width}px) {
+    padding-left: 0;
+  }
 `;
 
 export const SideMenu = styled.div`
   flex-direction: column;
-  height: 100%;
   width: 70px;
   padding: 20px 10px 0 10px;
   border-right: 1px solid grey;
+  position: fixed;
+  height: 100%;
   background-color: ${(props) => props.theme.palette.primary.main};
 `;
@@ -124,6 +141,13 @@
   width: 100%;
   height: 100%;
-  padding: 20px 0px;
+  padding-top: 20px;
   display: flex;
   flex-direction: column;
 `;
+
+export const MenuBurgerIcon = styled(MenuIcon).attrs((props) => ({
+  sx: {
+    fontSize: 50,
+    color: `${props.theme.palette.primary.main}`,
+  },
+}))``;
Index: sources/client/src/screens/UserAndNotAuthScreen/index.js
===================================================================
--- sources/client/src/screens/UserAndNotAuthScreen/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/screens/UserAndNotAuthScreen/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,75 @@
+import { useContext, useState } from 'react';
+import { Switch, Route, Redirect, useLocation } from 'react-router-dom';
+import HeaderUserAndAuth from '../../components/HeaderUserAndAuth';
+import { AccessoriesContext } from '../../context/AccessoriesContext';
+import { Wrapper, ScreenWrapper } from './styles';
+import { UserContext } from '../../context/UserContext';
+import { roles } from '../../config/enums';
+
+import Landing from '../../components/user/Landing'; //       USER
+import MyProfile from '../../components/user/MyProfile';
+// MapUsers - same as guest and auth but diffrent url         USER
+import Session from '../../components/user/Session'; //       USER and GUEST
+import Auth from '../../components/Auth'; //                  NOT AUTH
+import MapUsers from '../../components/user/MapUsers'; // TODO     GUEST and NOT AUTH
+
+import { DndProvider } from 'react-dnd';
+import { TouchBackend } from 'react-dnd-touch-backend';
+
+const UserAndNotAuthScreen = () => {
+    const { user } = useContext(UserContext);
+    const location = useLocation();
+    const { isMobile } = useContext(AccessoriesContext);
+    const [isUserParked, setIsUserParked] = useState(false); // TODO FETCH
+    const asphaltBg =
+        user && user.role === roles.user && location.pathname === '/';
+    const mapUrl = user && user.role === roles.user ? '/maps' : '/';
+    const options = {
+        enableMouseEvents: true,
+    };
+    const content = (
+        <Wrapper asphaltBg={asphaltBg}>
+            <DndProvider backend={TouchBackend} options={options}>
+                <HeaderUserAndAuth />
+                <Switch>
+                    {!user ? ( // NOT AUTH ROUTES
+                        <Auth />
+                    ) : (
+                        <>
+                            {user.role === roles.user ? ( // USER ROUTES
+                                <>
+                                    <Route
+                                        exact
+                                        path={'/'}
+                                        component={() => (
+                                            <Landing
+                                                isParked={isUserParked}
+                                                setIsParked={setIsUserParked}
+                                            />
+                                        )}
+                                    />
+
+                                    <Route
+                                        exact
+                                        path={'/my-profile'}
+                                        component={MyProfile}
+                                    />
+                                </>
+                            ) : null}
+                            {/* USER AND GUEST ROUTES */}
+                            <Route exact path='/session' component={Session} />
+                            <Route exact path={mapUrl} component={MapUsers} />
+                            <Redirect to='/' />
+                        </>
+                    )}
+                    {/* USER, GUEST AND NOT AUTH ROUTES */}
+                    <Redirect to='/' />
+                </Switch>
+            </DndProvider>
+        </Wrapper>
+    );
+
+    return isMobile ? content : <ScreenWrapper>{content}</ScreenWrapper>;
+};
+
+export default UserAndNotAuthScreen;
Index: sources/client/src/screens/UserAndNotAuthScreen/styles.js
===================================================================
--- sources/client/src/screens/UserAndNotAuthScreen/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
+++ sources/client/src/screens/UserAndNotAuthScreen/styles.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -0,0 +1,28 @@
+import styled from 'styled-components';
+import backgroundImage from '../../resources/login_background.jpg';
+import backgroundAsphalt from '../../resources/asphalt_texture1.jfif';
+import { mobile_max_width } from '../../config/utilities';
+
+export const ScreenWrapper = styled.div`
+  width: 100%;
+  height: 100%;
+  text-align: center;
+  padding-top: 8vh;
+`;
+
+export const Wrapper = styled.div`
+  width: 100%;
+  min-height: 100vh;
+  //   background-color: ${(props) =>
+    props.theme.palette.background.whiteSmoke};
+  background-image: url(${(props) =>
+    props.asphaltBg ? backgroundAsphalt : backgroundImage});
+  position: relative;
+
+  @media (min-width: ${mobile_max_width}px) {
+    width: ${mobile_max_width}px;
+    height: 750px;
+    min-height: 0;
+    margin: auto;
+  }
+`;
Index: sources/client/src/theme/index.js
===================================================================
--- sources/client/src/theme/index.js	(revision 3a58bd6bf544fa7b651adb99848f686e7fd5d273)
+++ sources/client/src/theme/index.js	(revision 747e0ab7ec1a73abedd264cf9b326ea140f54964)
@@ -1,29 +1,32 @@
-import { createTheme } from "@mui/material";
+import { createTheme } from '@mui/material';
 
 const theme = createTheme({
-    palette: {
-        primary: {
-            light: '#4cc5a3',
-            main: '#00AD7C',
-            dark: '#007956'
-        },
-        secondary: {
-            light: '#DFDFDF',
-            main: '#B0B0B0',
-            dark: '#8C8C8C'
-        },
-        background: {
-            white: '#FFFFFF',
-            whiteSmoke: '#f4f4f4',
-            shadow: '#aaaaaa'
-        }
+  palette: {
+    primary: {
+      light: '#4cc5a3',
+      main: '#00AD7C',
+      dark: '#007956',
     },
-    // overrides: { TODO
-    //     MuiTypography: {
-    //         h1: {
-    //             fontSize: "5rem"
-    //         }
-    //     }
-    // }
+    secondary: {
+      light: '#DFDFDF',
+      main: '#B0B0B0',
+      dark: '#8C8C8C',
+    },
+    third: {
+      main: '#f65026',
+    },
+    background: {
+      white: '#FFFFFF',
+      whiteSmoke: '#f4f4f4',
+      shadow: '#aaaaaa',
+    },
+  },
+  // overrides: { TODO
+  //     MuiTypography: {
+  //         h1: {
+  //             fontSize: "5rem"
+  //         }
+  //     }
+  // }
 });
 
